package com.ruoyi.screen.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VehicleMessage {
    //消息标识
    private String identification;
    //VIN码
    private String vinCode;
    //经度
    private String longitude;
    //纬度
    private String latitude;
    //车速
    private String speedOfVehicle;
    //总里程
    private String totalMileage;
    //总电压
    private String totalVoltage;
    //总电流
    private String combinedCurrent;
    //绝缘电阻
    private String insulationResistance;
    //档位
    private String gearPosition;
    //加速踏板行程值
    private String acceleratorPedalTravelValue;
    //制动踏板行程值
    private String brakePedalTravelValue;
    //燃料消耗率
    private String specificFuelConsumption;
    //电机控制器温度
    private String motorControllerTemperature;
    //电机转速
    private String motorSpeed;
    //电机转矩
    private String motorTorque;
    //电机温度
    private String motorTemperature;
    //电机电压
    private String motorVoltage;
    //电机电流
    private String motorCurrent;
    //动力电池剩余电量SOC
    private String electricalSoc;
    //当前状态允许的最大反馈功率
    private String maximumFeedbackPower;
    //当前状态允许最大放电功率
    private String maximumDischargePower;
    //BMS自检计数器
    private String bms;
    //动力电池充放电电流
    private String batteryCurrent;
    //动力电池负载端总电压V3
    private String v3;
    //单次最大电压
    private String singleMaximumVoltage;
    //单体电池最低电压
    private String minimumVoltageOfBattery;
    //单体电池最高温度
    private String maximumBatteryTemperature;
    //单体电池最低温度
    private String minimumBatteryTemperature;
    //动力电池可用容量
    private String powerBatteryAvailableCapacity;
    //车辆状态
    private Integer carStatus;
    //充电状态
    private Integer chargingState;
    //运行状态
    private Integer runningState;
    //SOC
    private String soc;
    //可充电储能装置工作状态
    private String workingCondition;
    //驱动电机状态
    private String driveMotorCondition;
    //定位是否有效
    private String whetherTheLocationValid;
    //EAS
    private String eas;
    //PTC
    private String ptc;
    //EPS
    private String eps;
    //ABS
    private String abs;
    //MCU
    private String mcu;
    //动力电池加热状态
    private String powerBatteryHeatingState;
    //动力电池当前状态
    private String powerBattery;
    //动力电池保温状态
    private String powerBatteryInsulationState;
    //DCDC
    private String dcdc;
    //CHG
    private String chg;
    //时间
    private Long time;

}
