package com.ruoyi.screen.config;

import com.ruoyi.screen.contones.RedisConstant;
import com.ruoyi.screen.domain.VehicleFaults;
import com.ruoyi.screen.service.CarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 查询取出故障码
 */
@Component
public class FaultsMessageRedis implements ApplicationRunner {
    @Autowired
    private CarService carService;
    @Autowired
    private RedisTemplate redisTemplate;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        //查询全部故障码
        List<VehicleFaults> vehicleFaults=carService.FaultsMessage();
        //蒋查询到的数据传入redis
        redisTemplate.opsForValue().set(RedisConstant.FAULTS_MESSAGE,vehicleFaults);
    }
}
