package com.ruoyi.screen.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.screen.contones.RFaults;
import com.ruoyi.screen.domain.Type;
import com.ruoyi.screen.domain.VehicleFaults;
import com.ruoyi.screen.result.PageResult;
import com.ruoyi.screen.result.Result;
import com.ruoyi.screen.service.CarService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 故障码管理
 */
@RestController
@Log4j2
@RequestMapping("/car")
public class CarController {

    @Autowired
    private CarService carService;

    @Autowired
    private HttpServletRequest request;


    /**
     * 添加故障码
     */
    @PostMapping("/AddFaultsCode")
    public Result AddFaultsCode(@RequestBody VehicleFaults vehicleFaults){
        log.info("方法名称:添加故障码,方法参数:{},请求类型:{},请求路径:{}",vehicleFaults,request.getMethod(),request.getRequestURL());
        Result r=carService.AddFaultsCode(vehicleFaults);
        log.info("方法名称:添加故障码,返回参数:{},请求类型:{},请求路径:{}",r,request.getMethod(),request.getRequestURL());
        return r;
    }

    /**
     * 类型下拉框
     */
    @PostMapping("/FindType")
    public Result<List<Type>> findType(){
        log.info("方法名称:类型下拉框,请求类型:{},请求路径:{}",request.getMethod(),request.getRequestURL());
        List<Type> types=carService.FindType();
        log.info("方法名称:类型下拉框,请求类型:{},请求路径:{}",request.getMethod(),request.getRequestURL());
        return Result.success(types);
    }

    /**
     * 删除故障码
     */
    @PostMapping("/deleteFaultsCode/{faultId}")
    public Result deleteFaultsCode(@PathVariable Integer faultId){
        log.info("方法名称:删除故障码,请求类型:{},请求路径:{}",request.getMethod(),request.getRequestURL());
        Result r=carService.deleteFaultsCode(faultId);
        log.info("方法名称:删除故障码,返回参数:{},请求类型:{},请求路径:{}",r,request.getMethod(),request.getRequestURL());
        return r;
    }

    /**
     * 故障码数据回显
     */
    @PostMapping("/findFaultsId/{faultId}")
    public Result<VehicleFaults> findFaultsId(@PathVariable Integer faultId){
        log.info("方法名称:故障码数据回显,请求类型:{},请求路径:{}",request.getMethod(),request.getRequestURL());
        VehicleFaults VehicleFaults=carService.findFaultsId(faultId);
        Result<VehicleFaults> ok = Result.success(VehicleFaults);
        log.info("方法名称:故障码数据回显,返回参数:{},请求类型:{},请求路径:{}",ok,request.getMethod(),request.getRequestURL());
        return ok;
    }

    /**
     * 故障码修改
     */
    @PostMapping("/faultUpdate")
    public Result faultUpdate(@RequestBody VehicleFaults vehicleFaults){
        Result result=carService.faultUpdate(vehicleFaults);

        return result;
    }


    /**
     * 故障列表查询
     */
    @PostMapping("/findFault")
    public Result<PageResult<VehicleFaults>> findFault(@RequestBody RFaults rFaults){
        log.info("方法名称:故障列表查询,方法参数:{},请求类型:{},请求路径:{}",rFaults,request.getMethod(),request.getRequestURL());
        Result<PageResult<VehicleFaults>> fault = carService.findFault(rFaults);
        log.info("方法名称:故障列表查询,返回参数:{},请求类型:{},请求路径:{}",fault,request.getMethod(),request.getRequestURL());
        return fault;
    }
    @GetMapping("/groupCount")
    public Result<List<Map<Object,Object>>> groupCount(){
        return carService.groupCount();
    }

    @GetMapping("toDay")
    public Result<List<Map<Object,Object>>> toDay(){
        return carService.toDay();
    }

    @GetMapping("/yestDay")
    public Result<List<Map<Object,Object>>> yestDay(){
        return carService.yestDay();
    }



}
