package com.ruoyi.screen.controller;

import com.ruoyi.screen.contones.RLog;
import com.ruoyi.screen.domain.FaultsLog;
import com.ruoyi.screen.result.PageResult;
import com.ruoyi.screen.result.Result;
import com.ruoyi.screen.service.LogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 日志管理
 */
@RestController
@RequestMapping("/log")
public class LogController {


    @Autowired
    private LogService logService;

    /**
     * 日志列表
     */
    @PostMapping("/logList")
    public Result<PageResult<FaultsLog>> logList(@RequestBody RLog rLog){
        PageResult<FaultsLog> faultsLogPageResult=logService.logList(rLog);
        return Result.success(faultsLogPageResult);
    }

    /**
     * 日志删除
     */
    @PostMapping("/logdelete/{logId}")
    public Result logdelete(@PathVariable Integer logId){

        Result result=logService.logdelete(logId);

        return result;
    }

    /**
     * 回显修改数据
     */
    @PostMapping("/fingLogFalut/{logId}")
    public Result<FaultsLog> fingLogFalut(@PathVariable Integer logId){
        FaultsLog faultsLog=logService.fingLogFalut(logId);
        Result<FaultsLog> success = Result.success(faultsLog);
        return success;
    }

    /**
     * 修改数据
     */
    @PostMapping("/LogUpdate")
    public Result LogUpdate(@RequestBody FaultsLog faultsLog){
        Result result=logService.LogUpdate(faultsLog);
        return result;
    }
}
